import { faChevronRight } from "@fortawesome/free-solid-svg-icons"
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome"
import Link from "next/link"
import React from 'react'

interface IBreadcrumbsPages {
	title: string,
	href: string,
	target?: string
}

export default function Breadcrumbs({ pages }: { pages: IBreadcrumbsPages[] }) {

	const data = pages.map(({ title, href, target }: IBreadcrumbsPages, idx: number) => {
		return (
			<Link
				key={'breadcrumbs-idx'}
				href={href}
				target={target}
				className="font-light">
				{title}
			</Link>
		)
	})

	return (
		<div className="flex items-center space-x-1 text-white">
			<Link href={"/"} className="font-semibold text-rfw-summer">Home</Link>
			<span>
				{">"}
			</span>
			{data}
		</div>
	)
}
